--- old/exception_lists/check_rtime	Fri Aug  9 07:21:01 2019
+++ new/exception_lists/check_rtime	Fri Aug  9 07:21:01 2019
@@ -23,6 +23,7 @@
 # Copyright (c) 2009, 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2015, OmniTI Computer Consulting, Inc. All rights reserved.
 # Copyright 2018 OmniOS Community Edition (OmniOSce) Association.
+# Copyright 2019 Peter Tribble.
 #
 
 # This file provides exceptions to the usual rules applied to ELF objects by
@@ -244,10 +245,3 @@
 FORBIDDEN libm\.so\.1
 FORBIDDEN libresolv\.so\.1
 FORBIDDEN libxcurses\.so\.1
-
-# The libprtdiag_psr.so.1 objects built under usr/src/lib/libprtdiag_psr
-# are a family, all built using the same makefile, targeted at different
-# sparc hardware variants. There are a small number of cases where this
-# one size fits all approach causes an object to be linked against an
-# unneeded library.
-UNREF_OBJ	lib/(libdevinfo|libcfgadm)\.so\.1; .*\ of\ .*SUNW,Netra-CP2300/lib/libprtdiag_psr\.so\.1
--- old/exception_lists/closed-bins	Fri Aug  9 07:21:01 2019
+++ new/exception_lists/closed-bins	Fri Aug  9 07:21:01 2019
@@ -58,6 +58,7 @@
 ./lib/sparcv9/libc_i18n.a
 ./platform/i86pc/kernel/cpu/cpu_ms.GenuineIntel.6.46
 ./platform/i86pc/kernel/cpu/cpu_ms.GenuineIntel.6.47
+./platform/sun4u/kernel/drv/sparcv9/ctsmc
 ./platform/sun4v/kernel/drv/ncp.conf
 ./platform/sun4v/kernel/drv/n2cp.conf
 ./usr/has
--- old/exception_lists/packaging	Fri Aug  9 07:21:01 2019
+++ new/exception_lists/packaging	Fri Aug  9 07:21:01 2019
@@ -346,9 +346,6 @@
 etc/svc/profile/platform_SUNW,Sun-Fire-880.xml			i386
 etc/svc/profile/platform_SUNW,Sun-Fire-V890.xml			i386
 etc/svc/profile/platform_SUNW,Sun-Fire.xml			i386
-etc/svc/profile/platform_SUNW,UltraSPARC-IIe-NetraCT-40.xml	i386
-etc/svc/profile/platform_SUNW,UltraSPARC-IIe-NetraCT-60.xml	i386
-etc/svc/profile/platform_SUNW,UltraSPARC-IIi-Netract.xml	i386
 #
 # Private libuutil files
 #
--- old/usr/src/cmd/netadm/iu.ap.sh	Fri Aug  9 07:21:01 2019
+++ new/usr/src/cmd/netadm/iu.ap.sh	Fri Aug  9 07:21:01 2019
@@ -20,6 +20,7 @@
 # CDDL HEADER END
 #
 #
+# Copyright 2019 Peter Tribble.
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
@@ -72,7 +73,6 @@
 	usbsprl -1	0	ldterm ttcompat
 	usbsksp -1	0	ldterm ttcompat
 	usbftdi	-1	0	ldterm ttcompat
-	ttymux	-1	0	ldterm ttcompat
 	ipsecesp -1	0	ipsecesp
 	ipsecah	-1	0	ipsecah
 	oplmsu	0	0	ldterm ttcompat
--- old/usr/src/cmd/picl/plugins/sun4u/Makefile	Fri Aug  9 07:21:01 2019
+++ new/usr/src/cmd/picl/plugins/sun4u/Makefile	Fri Aug  9 07:21:01 2019
@@ -22,10 +22,8 @@
 #
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
+# Copyright 2019 Peter Tribble.
 #
-#
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
 # cmd/picl/plugins/sun4u/Makefile
 #
 
@@ -34,11 +32,11 @@
 SUBDIRS= lib .WAIT envmon .WAIT \
 	frudata grover excalibur psvc littleneck daktari \
 	cherrystone lw2plus lw8 taco enchilada chicago blade mpxu ents \
-	chalupa silverstone sebring snowbird schumacher seattle boston .WAIT
+	chalupa silverstone sebring schumacher seattle boston .WAIT
 
 MSGSUBDIRS=	lib frudata grover excalibur psvc littleneck daktari \
 	cherrystone lw2plus lw8 taco enchilada chicago blade envmon mpxu ents \
-	silverstone sebring snowbird
+	silverstone sebring
 
 all :=		TARGET= all
 install :=	TARGET= install
--- old/usr/src/cmd/picl/plugins/sun4v/mdesc/mdescplugin.c	Fri Aug  9 07:21:02 2019
+++ new/usr/src/cmd/picl/plugins/sun4v/mdesc/mdescplugin.c	Fri Aug  9 07:21:03 2019
@@ -22,6 +22,8 @@
 /*
  * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
+ *
+ * Copyright 2019 Peter Tribble.
  */
 
 /*
@@ -220,11 +222,7 @@
 		return;
 
 	/*
-	 * Right now (Aug. 2007) snowbird is the only other platform
-	 * which uses this event.  Since that's a sun4u platform and
-	 * this is sun4v we do not have to worry about possible confusion
-	 * or interference between the two by grabbing this event for
-	 * our own use here.  This event is consumed by the devtree
+	 * This event is consumed by the devtree
 	 * plug-in.  The event signals the plug-in to re-run its
 	 * cpu initialization function, which will cause it to add
 	 * additional information to the cpu devtree nodes (particularly,
--- old/usr/src/cmd/rcm_daemon/Makefile.com	Fri Aug  9 07:21:03 2019
+++ new/usr/src/cmd/rcm_daemon/Makefile.com	Fri Aug  9 07:21:03 2019
@@ -23,6 +23,7 @@
 # Copyright (c) 1999, 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2016 Nexenta Systems, Inc.
 # Copyright (c) 2018, Joyent, Inc.
+# Copyright 2019 Peter Tribble.
 #
 
 include ../../Makefile.cmd
@@ -61,8 +62,6 @@
 	$(COMMON)/ip_anon_rcm.c \
 	$(COMMON)/bridge_rcm.c
 
-sparc_MOD_SRC = $(COMMON)/ttymux_rcm.c
-
 COMMON_PERL_SCRIPT_SRC =
 
 sparc_PERL_SCRIPT_SRC = SUNW,vdevices.pl
@@ -86,8 +85,6 @@
 	ip_anon_rcm.o \
 	bridge_rcm.o
 
-sparc_MOD_OBJ = ttymux_rcm.o
-
 RCM_DAEMON = rcm_daemon
 
 COMMON_RCM_MODS = \
@@ -106,8 +103,6 @@
 	SUNW_ip_anon_rcm.so \
 	SUNW_bridge_rcm.so
 
-sparc_RCM_MODS = SUNW_ttymux_rcm.so
-
 RCM_DIR = rcm
 MOD_DIR = modules
 SCRIPT_DIR = scripts
--- old/usr/src/cmd/svc/profile/Makefile	Fri Aug  9 07:21:03 2019
+++ new/usr/src/cmd/svc/profile/Makefile	Fri Aug  9 07:21:03 2019
@@ -44,7 +44,6 @@
 	platform_SUNW,SPARC-Enterprise.xml \
 	platform_SUNW,Sun-Fire-880.xml \
 	platform_SUNW,Sun-Fire.xml \
-	platform_SUNW,UltraSPARC-IIi-Netract.xml \
 	platform_none.xml \
 	platform_sun4v.xml
 
@@ -66,13 +65,6 @@
 	$(RM) $(ROOTPROFILE)/platform_SUNW,Sun-Fire-V890.xml
 	$(LN) $(ROOTPROFILE)/platform_SUNW,Sun-Fire-880.xml \
 	    $(ROOTPROFILE)/platform_SUNW,Sun-Fire-V890.xml
-	# SUNW,UltraSPARC-IIe-NetraCT-[46]0
-	$(RM) $(ROOTPROFILE)/platform_SUNW,UltraSPARC-IIe-NetraCT-40.xml
-	$(RM) $(ROOTPROFILE)/platform_SUNW,UltraSPARC-IIe-NetraCT-60.xml
-	$(LN) $(ROOTPROFILE)/platform_SUNW,UltraSPARC-IIi-Netract.xml \
-	$(ROOTPROFILE)/platform_SUNW,UltraSPARC-IIe-NetraCT-40.xml
-	$(LN) $(ROOTPROFILE)/platform_SUNW,UltraSPARC-IIi-Netract.xml \
-	    $(ROOTPROFILE)/platform_SUNW,UltraSPARC-IIe-NetraCT-60.xml
 
 $(ROOTPROFILE)/%: %
 	$(INS.file)
--- old/usr/src/lib/cfgadm_plugins/Makefile.com	Fri Aug  9 07:21:03 2019
+++ new/usr/src/lib/cfgadm_plugins/Makefile.com	Fri Aug  9 07:21:03 2019
@@ -38,9 +38,6 @@
 LINKED_PLATFORMS	+= SUNW,Ultra-4
 LINKED_PLATFORMS	+= SUNW,Ultra-250
 LINKED_PLATFORMS	+= SUNW,Ultra-Enterprise
-LINKED_PLATFORMS	+= SUNW,UltraSPARC-IIi-Netract
-LINKED_PLATFORMS	+= SUNW,UltraSPARC-IIe-NetraCT-40
-LINKED_PLATFORMS	+= SUNW,UltraSPARC-IIe-NetraCT-60
 LINKED_PLATFORMS	+= SUNW,Sun-Blade-100
 LINKED_PLATFORMS	+= SUNW,Sun-Blade-1000
 LINKED_PLATFORMS	+= SUNW,Sun-Blade-1500
@@ -60,7 +57,6 @@
 LINKED_PLATFORMS	+= SUNW,Serverblade1
 LINKED_PLATFORMS	+= SUNW,Netra-T12
 LINKED_PLATFORMS	+= SUNW,Netra-T4
-LINKED_PLATFORMS	+= SUNW,Netra-CP2300
 LINKED_PLATFORMS	+= SUNW,Netra-CP3010
 
 LINKED_DIRS		= $(LINKED_PLATFORMS:%=$(USR_PLAT_DIR)/%)
--- old/usr/src/lib/libprtdiag_psr/sparc/Makefile	Fri Aug  9 07:21:03 2019
+++ new/usr/src/lib/libprtdiag_psr/sparc/Makefile	Fri Aug  9 07:21:03 2019
@@ -26,8 +26,8 @@
 # lib/libprtdiag_psr/sparc/Makefile
 
 PRTDIAG_PLATFORMS=	desktop tazmo javelin sunfire serengeti \
-			montecarlo littleneck daktari cherrystone \
-			lw8 snowbird ontario schumacher opl montoya monza
+			littleneck daktari cherrystone \
+			lw8 ontario schumacher opl montoya monza
 
 all :=		TARGET= all
 lint :=		TARGET= lint
--- old/usr/src/man/man7d/Makefile	Fri Aug  9 07:21:03 2019
+++ new/usr/src/man/man7d/Makefile	Fri Aug  9 07:21:03 2019
@@ -124,7 +124,6 @@
 		systrace.7d	\
 		ticlts.7d	\
 		tty.7d		\
-		ttymux.7d	\
 		tzmon.7d	\
 		ugen.7d		\
 		uhci.7d		\
@@ -150,7 +149,6 @@
 
 sparc_MANFILES=	audiocs.7d	\
 		bbc_beep.7d	\
-		ctsmc.7d	\
 		dad.7d		\
 		dm2s.7d		\
 		dr.7d		\
--- old/usr/src/pkg/manifests/SUNWcs.mf	Fri Aug  9 07:21:03 2019
+++ new/usr/src/pkg/manifests/SUNWcs.mf	Fri Aug  9 07:21:03 2019
@@ -453,9 +453,6 @@
     group=sys mode=0444
 $(sparc_ONLY)file path=etc/svc/profile/platform_SUNW,Sun-Fire.xml group=sys \
     mode=0444
-$(sparc_ONLY)file \
-    path=etc/svc/profile/platform_SUNW,UltraSPARC-IIi-Netract.xml group=sys \
-    mode=0444
 file path=etc/svc/profile/platform_none.xml group=sys mode=0444
 $(sparc_ONLY)file path=etc/svc/profile/platform_sun4v.xml group=sys mode=0444
 file path=etc/sysevent/config/README group=sys mode=0444
@@ -1198,7 +1195,6 @@
 file path=usr/lib/rcm/modules/SUNW_mpxio_rcm.so mode=0555
 file path=usr/lib/rcm/modules/SUNW_network_rcm.so mode=0555
 file path=usr/lib/rcm/modules/SUNW_swap_rcm.so mode=0555
-$(sparc_ONLY)file path=usr/lib/rcm/modules/SUNW_ttymux_rcm.so mode=0555
 file path=usr/lib/rcm/modules/SUNW_vlan_rcm.so mode=0555
 file path=usr/lib/rcm/modules/SUNW_vnic_rcm.so mode=0555
 file path=usr/lib/rcm/rcm_daemon mode=0555
@@ -1423,12 +1419,6 @@
 hardlink path=etc/rc2.d/S89PRESERVE target=../../etc/init.d/PRESERVE
 $(sparc_ONLY)hardlink path=etc/svc/profile/platform_SUNW,Sun-Fire-V890.xml \
     target=./platform_SUNW,Sun-Fire-880.xml
-$(sparc_ONLY)hardlink \
-    path=etc/svc/profile/platform_SUNW,UltraSPARC-IIe-NetraCT-40.xml \
-    target=./platform_SUNW,UltraSPARC-IIi-Netract.xml
-$(sparc_ONLY)hardlink \
-    path=etc/svc/profile/platform_SUNW,UltraSPARC-IIe-NetraCT-60.xml \
-    target=./platform_SUNW,UltraSPARC-IIi-Netract.xml
 hardlink path=sbin/rc5 target=../sbin/rc0
 hardlink path=sbin/rc6 target=../sbin/rc0
 hardlink path=usr/bin/$(ARCH32)/encrypt target=decrypt
--- old/usr/src/pkg/manifests/developer-apptrace-platform.mf	Fri Aug  9 07:21:03 2019
+++ new/usr/src/pkg/manifests/developer-apptrace-platform.mf	Fri Aug  9 07:21:03 2019
@@ -34,8 +34,6 @@
 dir path=usr/platform group=sys
 dir path=usr/platform/SUNW,A70 group=sys
 dir path=usr/platform/SUNW,A70/lib
-dir path=usr/platform/SUNW,Netra-CP2300 group=sys
-dir path=usr/platform/SUNW,Netra-CP2300/lib
 dir path=usr/platform/SUNW,Netra-CP3010 group=sys
 dir path=usr/platform/SUNW,Netra-CP3010/lib
 dir path=usr/platform/SUNW,Netra-T12 group=sys
@@ -82,12 +80,6 @@
 dir path=usr/platform/SUNW,Ultra-4/lib
 dir path=usr/platform/SUNW,Ultra-Enterprise group=sys
 dir path=usr/platform/SUNW,Ultra-Enterprise/lib
-dir path=usr/platform/SUNW,UltraSPARC-IIe-NetraCT-40 group=sys
-dir path=usr/platform/SUNW,UltraSPARC-IIe-NetraCT-40/lib
-dir path=usr/platform/SUNW,UltraSPARC-IIe-NetraCT-60 group=sys
-dir path=usr/platform/SUNW,UltraSPARC-IIe-NetraCT-60/lib
-dir path=usr/platform/SUNW,UltraSPARC-IIi-Netract group=sys
-dir path=usr/platform/SUNW,UltraSPARC-IIi-Netract/lib
 legacy pkg=SUNWpstl.u arch=$(ARCH).sun4u \
     desc="Apptrace processor specific shared objects" \
     name="Platform specific apptrace support"
--- old/usr/src/pkg/manifests/service-picl.mf	Fri Aug  9 07:21:04 2019
+++ new/usr/src/pkg/manifests/service-picl.mf	Fri Aug  9 07:21:04 2019
@@ -23,6 +23,7 @@
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2012 Nexenta Systems, Inc. All rights reserved.
 # Copyright 2019 OmniOS Community Edition (OmniOSce) Association.
+# Copyright 2019 Peter Tribble.
 #
 
 set name=pkg.fmri value=pkg:/service/picl@$(PKGVERS)
@@ -46,11 +47,6 @@
 $(sparc_ONLY)dir path=usr/platform/SUNW,A70/lib
 $(sparc_ONLY)dir path=usr/platform/SUNW,A70/lib/picl group=sys
 $(sparc_ONLY)dir path=usr/platform/SUNW,A70/lib/picl/plugins group=sys
-$(sparc_ONLY)dir path=usr/platform/SUNW,Netra-CP2300 group=sys
-$(sparc_ONLY)dir path=usr/platform/SUNW,Netra-CP2300/lib
-$(sparc_ONLY)dir path=usr/platform/SUNW,Netra-CP2300/lib/picl group=sys
-$(sparc_ONLY)dir path=usr/platform/SUNW,Netra-CP2300/lib/picl/plugins \
-    group=sys
 $(sparc_ONLY)dir path=usr/platform/SUNW,Netra-CP3010 group=sys
 $(sparc_ONLY)dir path=usr/platform/SUNW,Netra-CP3010/lib
 $(sparc_ONLY)dir path=usr/platform/SUNW,Netra-CP3010/lib/picl group=sys
@@ -171,28 +167,7 @@
     group=sys
 $(sparc_ONLY)file path=usr/platform/SUNW,A70/lib/picl/plugins/piclfrutree.conf \
     group=sys
-$(sparc_ONLY)file path=usr/platform/SUNW,Netra-CP2300/lib/libctsmc.so.1 \
-    group=sys
-$(sparc_ONLY)file path=usr/platform/SUNW,Netra-CP2300/lib/libprtdiag_psr.so.1
 $(sparc_ONLY)file \
-    path=usr/platform/SUNW,Netra-CP2300/lib/picl/plugins/SUNW,Netra-CP2300.RTM.conf \
-    group=sys
-$(sparc_ONLY)file \
-    path=usr/platform/SUNW,Netra-CP2300/lib/picl/plugins/SUNW,Netra-CP2300.conf \
-    group=sys
-$(sparc_ONLY)file \
-    path=usr/platform/SUNW,Netra-CP2300/lib/picl/plugins/envmond.conf \
-    group=sys
-$(sparc_ONLY)file \
-    path=usr/platform/SUNW,Netra-CP2300/lib/picl/plugins/libpiclenvmond.so.1 \
-    group=sys
-$(sparc_ONLY)file \
-    path=usr/platform/SUNW,Netra-CP2300/lib/picl/plugins/libpiclfrutree.so.1 \
-    group=sys
-$(sparc_ONLY)file \
-    path=usr/platform/SUNW,Netra-CP2300/lib/picl/plugins/libpiclwd.so.1 \
-    group=sys
-$(sparc_ONLY)file \
     path=usr/platform/SUNW,Netra-CP3010/lib/picl/plugins/piclfrutree.conf \
     group=sys
 $(sparc_ONLY)file path=usr/platform/SUNW,Netra-T12/lib/libprtdiag_psr.so.1
@@ -713,18 +688,7 @@
     target=../../SUNW,Sun-Blade-100/lib/libprtdiag_psr.so.1
 $(sparc_ONLY)link path=usr/platform/SUNW,A70/lib/picl/plugins/libpiclenvd.so \
     target=./libpiclenvd.so.1
-$(sparc_ONLY)link path=usr/platform/SUNW,Netra-CP2300/lib/libctsmc.so \
-    target=libctsmc.so.1
 $(sparc_ONLY)link \
-    path=usr/platform/SUNW,Netra-CP2300/lib/picl/plugins/libpiclenvmond.so \
-    target=libpiclenvmond.so.1
-$(sparc_ONLY)link \
-    path=usr/platform/SUNW,Netra-CP2300/lib/picl/plugins/libpiclfrutree.so \
-    target=libpiclfrutree.so.1
-$(sparc_ONLY)link \
-    path=usr/platform/SUNW,Netra-CP2300/lib/picl/plugins/libpiclwd.so \
-    target=libpiclwd.so.1
-$(sparc_ONLY)link \
     path=usr/platform/SUNW,Netra-T12/lib/picl/plugins/libpiclfrutree.so \
     target=libpiclfrutree.so.1
 $(sparc_ONLY)link path=usr/platform/SUNW,Netra-T4/lib/libprtdiag_psr.so.1 \
--- old/usr/src/pkg/manifests/system-fru-id-platform.mf	Fri Aug  9 07:21:04 2019
+++ new/usr/src/pkg/manifests/system-fru-id-platform.mf	Fri Aug  9 07:21:04 2019
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2019 Peter Tribble.
 #
 
 set name=pkg.fmri value=pkg:/system/fru-id/platform@$(PKGVERS)
@@ -39,9 +40,6 @@
 $(sparc_ONLY)dir path=usr/platform/SUNW,A70/lib
 $(sparc_ONLY)dir path=usr/platform/SUNW,A70/lib/picl group=sys
 $(sparc_ONLY)dir path=usr/platform/SUNW,A70/lib/picl/plugins group=sys
-$(sparc_ONLY)dir path=usr/platform/SUNW,Netra-CP2300 group=sys
-$(sparc_ONLY)dir path=usr/platform/SUNW,Netra-CP2300/lib
-$(sparc_ONLY)dir path=usr/platform/SUNW,Netra-CP2300/sbin
 $(sparc_ONLY)dir path=usr/platform/SUNW,Netra-CP3010 group=sys
 $(sparc_ONLY)dir path=usr/platform/SUNW,Netra-CP3010/lib
 $(sparc_ONLY)dir path=usr/platform/SUNW,Netra-CP3010/lib/picl group=sys
@@ -139,8 +137,6 @@
 $(i386_ONLY)file path=usr/lib/picl/plugins/fru_container.conf group=sys
 $(sparc_ONLY)file \
     path=usr/platform/SUNW,A70/lib/picl/plugins/libpiclfrudata.conf group=sys
-$(sparc_ONLY)file path=usr/platform/SUNW,Netra-CP2300/lib/libfruaccess.so.1 \
-    group=sys
 $(sparc_ONLY)file \
     path=usr/platform/SUNW,Netra-CP3010/lib/picl/plugins/libpiclfrudata.conf \
     group=sys
@@ -209,10 +205,6 @@
     name="FRU ID Platform Modules (Usr)"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-$(sparc_ONLY)link path=usr/platform/SUNW,Netra-CP2300/lib/libfruaccess.so \
-    target=libfruaccess.so.1
-$(sparc_ONLY)link path=usr/platform/SUNW,Netra-CP2300/sbin/fruadm \
-    target=../../sun4u/sbin/fruadm
 $(sparc_ONLY)link path=usr/platform/SUNW,Netra-CP3010/sbin/fruadm \
     target=../../sun4u/sbin/fruadm
 $(sparc_ONLY)link path=usr/platform/SUNW,Netra-T12/lib/libfruaccess.so \
--- old/usr/src/pkg/manifests/system-header.mf	Fri Aug  9 07:21:04 2019
+++ new/usr/src/pkg/manifests/system-header.mf	Fri Aug  9 07:21:04 2019
@@ -127,8 +127,6 @@
 dir path=usr/include/vm
 dir path=usr/platform group=sys
 $(sparc_ONLY)dir path=usr/platform/SUNW,A70 group=sys
-$(sparc_ONLY)dir path=usr/platform/SUNW,Netra-CP2300 group=sys
-$(sparc_ONLY)dir path=usr/platform/SUNW,Netra-CP2300/include
 $(sparc_ONLY)dir path=usr/platform/SUNW,Netra-CP3010 group=sys
 $(sparc_ONLY)dir path=usr/platform/SUNW,Netra-CP3010/include
 $(sparc_ONLY)dir path=usr/platform/SUNW,Netra-T12 group=sys
@@ -154,9 +152,6 @@
 $(sparc_ONLY)dir path=usr/platform/SUNW,Ultra-250 group=sys
 $(sparc_ONLY)dir path=usr/platform/SUNW,Ultra-4 group=sys
 $(sparc_ONLY)dir path=usr/platform/SUNW,Ultra-Enterprise group=sys
-$(sparc_ONLY)dir path=usr/platform/SUNW,UltraSPARC-IIe-NetraCT-40 group=sys
-$(sparc_ONLY)dir path=usr/platform/SUNW,UltraSPARC-IIe-NetraCT-60 group=sys
-$(sparc_ONLY)dir path=usr/platform/SUNW,UltraSPARC-IIi-Netract group=sys
 $(i386_ONLY)dir path=usr/platform/i86pc group=sys
 $(i386_ONLY)dir path=usr/platform/i86pc/include
 $(i386_ONLY)dir path=usr/platform/i86pc/include/sys
@@ -1530,8 +1525,6 @@
 file path=usr/include/sys/tty.h
 file path=usr/include/sys/ttychars.h
 file path=usr/include/sys/ttydev.h
-$(sparc_ONLY)file path=usr/include/sys/ttymux.h
-$(sparc_ONLY)file path=usr/include/sys/ttymuxuser.h
 file path=usr/include/sys/tuneable.h
 file path=usr/include/sys/turnstile.h
 file path=usr/include/sys/types.h
@@ -1766,7 +1759,6 @@
 $(sparc_ONLY)file path=usr/platform/sun4u/include/sys/pte.h
 $(sparc_ONLY)file path=usr/platform/sun4u/include/sys/sbd_ioctl.h
 $(sparc_ONLY)file path=usr/platform/sun4u/include/sys/scb.h
-$(sparc_ONLY)file path=usr/platform/sun4u/include/sys/scsb_led.h
 $(sparc_ONLY)file path=usr/platform/sun4u/include/sys/simmstat.h
 $(sparc_ONLY)file path=usr/platform/sun4u/include/sys/smt.h
 $(sparc_ONLY)file path=usr/platform/sun4u/include/sys/spitregs.h
@@ -2009,12 +2001,6 @@
     target=../sun4u/include
 $(sparc_ONLY)link path=usr/platform/SUNW,Ultra-Enterprise/include \
     target=../sun4u/include
-$(sparc_ONLY)link path=usr/platform/SUNW,UltraSPARC-IIe-NetraCT-40/include \
-    target=../sun4u/include
-$(sparc_ONLY)link path=usr/platform/SUNW,UltraSPARC-IIe-NetraCT-60/include \
-    target=../sun4u/include
-$(sparc_ONLY)link path=usr/platform/SUNW,UltraSPARC-IIi-Netract/include \
-    target=../sun4u/include
 link path=usr/share/man/man3head/LIST_CLASS_ENTRY.3head target=queue.h.3head
 link path=usr/share/man/man3head/LIST_CLASS_HEAD.3head target=queue.h.3head
 link path=usr/share/man/man3head/LIST_CONCAT.3head target=queue.h.3head
--- old/usr/src/pkg/manifests/system-kernel-platform-netra.mf	Fri Aug  9 07:21:04 2019
+++ new/usr/src/pkg/manifests/system-kernel-platform-netra.mf	Fri Aug  9 07:21:04 2019
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2019 Peter Tribble.
 #
 
 #
@@ -30,82 +31,6 @@
 #
 <include global_zone_only_component>
 set name=pkg.fmri value=pkg:/system/kernel/platform/netra@$(PKGVERS)
-set name=pkg.description \
-    value="I2C and System Controller and Status Drivers for Netra ct cPCI platform"
-set name=pkg.summary value="Netra ct I2C and System Drivers"
-set name=info.classification value=org.opensolaris.category.2008:System/Core
+set name=pkg.obsolete value=true
+set name=org.opensolaris.noincorp value=true
 set name=variant.arch value=sparc
-dir path=platform group=sys
-dir path=platform/SUNW,Netra-CP2300 group=sys
-dir path=platform/SUNW,Netra-CP2300/kernel group=sys
-dir path=platform/SUNW,Netra-CP2300/kernel/dacf group=sys
-dir path=platform/SUNW,Netra-CP2300/kernel/dacf/$(ARCH64) group=sys
-dir path=platform/SUNW,Netra-CP2300/kernel/drv group=sys
-dir path=platform/SUNW,UltraSPARC-IIe-NetraCT-40 group=sys
-dir path=platform/SUNW,UltraSPARC-IIe-NetraCT-40/kernel group=sys
-dir path=platform/SUNW,UltraSPARC-IIe-NetraCT-40/kernel/dacf group=sys
-dir path=platform/SUNW,UltraSPARC-IIe-NetraCT-40/kernel/dacf/$(ARCH64) \
-    group=sys
-dir path=platform/SUNW,UltraSPARC-IIe-NetraCT-40/kernel/drv group=sys
-dir path=platform/SUNW,UltraSPARC-IIe-NetraCT-40/kernel/drv/$(ARCH64) \
-    group=sys
-dir path=platform/SUNW,UltraSPARC-IIe-NetraCT-60 group=sys
-dir path=platform/SUNW,UltraSPARC-IIe-NetraCT-60/kernel group=sys
-dir path=platform/SUNW,UltraSPARC-IIe-NetraCT-60/kernel/dacf group=sys
-dir path=platform/SUNW,UltraSPARC-IIe-NetraCT-60/kernel/dacf/$(ARCH64) \
-    group=sys
-dir path=platform/SUNW,UltraSPARC-IIe-NetraCT-60/kernel/drv group=sys
-dir path=platform/SUNW,UltraSPARC-IIi-Netract group=sys
-dir path=platform/SUNW,UltraSPARC-IIi-Netract/kernel group=sys
-dir path=platform/SUNW,UltraSPARC-IIi-Netract/kernel/dacf group=sys
-dir path=platform/SUNW,UltraSPARC-IIi-Netract/kernel/dacf/$(ARCH64) group=sys
-dir path=platform/SUNW,UltraSPARC-IIi-Netract/kernel/drv group=sys
-dir path=platform/SUNW,UltraSPARC-IIi-Netract/kernel/drv/$(ARCH64) group=sys
-driver name=acebus
-driver name=scsb alias=nct-ATML,at27c64
-file path=platform/SUNW,UltraSPARC-IIe-NetraCT-40/kernel/drv/acebus.conf \
-    group=sys
-file \
-    path=platform/SUNW,UltraSPARC-IIi-Netract/kernel/dacf/$(ARCH64)/ttymux_dacf \
-    group=sys
-file path=platform/SUNW,UltraSPARC-IIi-Netract/kernel/drv/$(ARCH64)/acebus \
-    group=sys
-file path=platform/SUNW,UltraSPARC-IIi-Netract/kernel/drv/$(ARCH64)/pcf8574 \
-    group=sys
-file path=platform/SUNW,UltraSPARC-IIi-Netract/kernel/drv/$(ARCH64)/pcf8591 \
-    group=sys
-file path=platform/SUNW,UltraSPARC-IIi-Netract/kernel/drv/$(ARCH64)/scsb \
-    group=sys
-file path=platform/SUNW,UltraSPARC-IIi-Netract/kernel/drv/scsb.conf group=sys
-file path=platform/SUNW,UltraSPARC-IIi-Netract/kernel/drv/se.conf group=sys
-file path=platform/SUNW,UltraSPARC-IIi-Netract/kernel/drv/ttymux.conf \
-    group=sys
-legacy pkg=SUNWcti2.u arch=$(ARCH).sun4u \
-    desc="I2C and System Controller and Status Drivers for Netra ct cPCI platform" \
-    name="Netra ct I2C and System Drivers"
-license cr_Sun license=cr_Sun
-license lic_CDDL license=lic_CDDL
-link path=platform/SUNW,Netra-CP2300/kernel/dacf/$(ARCH64)/ttymux_dacf \
-    target=../../../../SUNW,UltraSPARC-IIi-Netract/kernel/dacf/$(ARCH64)/ttymux_dacf
-link path=platform/SUNW,Netra-CP2300/kernel/drv/ttymux.conf \
-    target=../../../SUNW,UltraSPARC-IIi-Netract/kernel/drv/ttymux.conf
-link \
-    path=platform/SUNW,UltraSPARC-IIe-NetraCT-40/kernel/dacf/$(ARCH64)/ttymux_dacf \
-    target=../../../../SUNW,UltraSPARC-IIi-Netract/kernel/dacf/$(ARCH64)/ttymux_dacf
-link path=platform/SUNW,UltraSPARC-IIe-NetraCT-40/kernel/drv/$(ARCH64)/acebus \
-    target=../../../../SUNW,UltraSPARC-IIi-Netract/kernel/drv/$(ARCH64)/acebus
-link path=platform/SUNW,UltraSPARC-IIe-NetraCT-40/kernel/drv/$(ARCH64)/pcf8574 \
-    target=../../../../SUNW,UltraSPARC-IIi-Netract/kernel/drv/$(ARCH64)/pcf8574
-link path=platform/SUNW,UltraSPARC-IIe-NetraCT-40/kernel/drv/$(ARCH64)/scsb \
-    target=../../../../SUNW,UltraSPARC-IIi-Netract/kernel/drv/$(ARCH64)/scsb
-link path=platform/SUNW,UltraSPARC-IIe-NetraCT-40/kernel/drv/scsb.conf \
-    target=../../../SUNW,UltraSPARC-IIi-Netract/kernel/drv/scsb.conf
-link path=platform/SUNW,UltraSPARC-IIe-NetraCT-40/kernel/drv/se.conf \
-    target=../../../SUNW,UltraSPARC-IIi-Netract/kernel/drv/se.conf
-link path=platform/SUNW,UltraSPARC-IIe-NetraCT-40/kernel/drv/ttymux.conf \
-    target=../../../SUNW,UltraSPARC-IIi-Netract/kernel/drv/ttymux.conf
-link \
-    path=platform/SUNW,UltraSPARC-IIe-NetraCT-60/kernel/dacf/$(ARCH64)/ttymux_dacf \
-    target=../../../../SUNW,UltraSPARC-IIi-Netract/kernel/dacf/$(ARCH64)/ttymux_dacf
-link path=platform/SUNW,UltraSPARC-IIe-NetraCT-60/kernel/drv/ttymux.conf \
-    target=../../../SUNW,UltraSPARC-IIi-Netract/kernel/drv/ttymux.conf
--- old/usr/src/pkg/manifests/system-kernel-platform.mf	Fri Aug  9 07:21:04 2019
+++ new/usr/src/pkg/manifests/system-kernel-platform.mf	Fri Aug  9 07:21:04 2019
@@ -46,14 +46,6 @@
 $(sparc_ONLY)dir path=platform/SUNW,A70/kernel/drv group=sys
 $(sparc_ONLY)dir path=platform/SUNW,A70/kernel/misc group=sys
 $(sparc_ONLY)dir path=platform/SUNW,A70/kernel/misc/$(ARCH64) group=sys
-$(sparc_ONLY)dir path=platform/SUNW,Netra-CP2300 group=sys
-$(sparc_ONLY)dir path=platform/SUNW,Netra-CP2300/kernel group=sys
-$(sparc_ONLY)dir path=platform/SUNW,Netra-CP2300/kernel/misc group=sys
-$(sparc_ONLY)dir path=platform/SUNW,Netra-CP2300/kernel/misc/$(ARCH64) \
-    group=sys
-$(sparc_ONLY)dir path=platform/SUNW,Netra-CP2300/kernel/tod group=sys
-$(sparc_ONLY)dir path=platform/SUNW,Netra-CP2300/kernel/tod/$(ARCH64) \
-    group=sys
 $(sparc_ONLY)dir path=platform/SUNW,Netra-CP3010 group=sys
 $(sparc_ONLY)dir path=platform/SUNW,Netra-CP3010/kernel group=sys
 $(sparc_ONLY)dir path=platform/SUNW,Netra-CP3010/kernel/crypto group=sys
@@ -341,7 +333,6 @@
 $(sparc_ONLY)driver name=bbc_beep alias=SUNW,bbc-beep
 $(sparc_ONLY)driver name=central
 $(i386_ONLY)driver name=cpudrv alias=cpu
-$(sparc_ONLY)driver name=ctsmc alias=nct-ds80ch11-smc
 $(sparc_ONLY)driver name=db21554 \
     alias=pci108e,6300 \
     alias=pci108e,6301 \
@@ -524,12 +515,6 @@
 $(sparc_ONLY)file path=platform/SUNW,A70/kernel/misc/$(ARCH64)/platmod \
     group=sys mode=0755
 $(sparc_ONLY)file \
-    path=platform/SUNW,Netra-CP2300/kernel/misc/$(ARCH64)/platmod group=sys \
-    mode=0755
-$(sparc_ONLY)file \
-    path=platform/SUNW,Netra-CP2300/kernel/tod/$(ARCH64)/todds1307 group=sys \
-    mode=0755
-$(sparc_ONLY)file \
     path=platform/SUNW,Netra-CP3010/kernel/misc/$(ARCH64)/platmod group=sys \
     mode=0755
 $(sparc_ONLY)file path=platform/SUNW,Netra-T12/kernel/drv/$(ARCH64)/lw8 \
@@ -851,7 +836,6 @@
 $(sparc_ONLY)file path=platform/sun4u/kernel/drv/$(ARCH64)/adm1026 group=sys
 $(sparc_ONLY)file path=platform/sun4u/kernel/drv/$(ARCH64)/adm1031 group=sys
 $(sparc_ONLY)file path=platform/sun4u/kernel/drv/$(ARCH64)/bbc_beep group=sys
-$(sparc_ONLY)file path=platform/sun4u/kernel/drv/$(ARCH64)/ctsmc group=sys
 $(sparc_ONLY)file path=platform/sun4u/kernel/drv/$(ARCH64)/db21554 group=sys
 $(sparc_ONLY)file path=platform/sun4u/kernel/drv/$(ARCH64)/ebus group=sys
 $(sparc_ONLY)file path=platform/sun4u/kernel/drv/$(ARCH64)/epic group=sys
@@ -1002,7 +986,6 @@
 $(sparc_ONLY)file path=usr/share/man/man4/sbus.4
 $(i386_ONLY)file path=usr/share/man/man4/sysbus.4
 $(sparc_ONLY)file path=usr/share/man/man7d/bbc_beep.7d
-$(sparc_ONLY)file path=usr/share/man/man7d/ctsmc.7d
 $(sparc_ONLY)file path=usr/share/man/man7d/dr.7d
 $(sparc_ONLY)file path=usr/share/man/man7d/fd.7d
 $(sparc_ONLY)file path=usr/share/man/man7d/gpio_87317.7d
--- old/usr/src/pkg/manifests/system-kernel.man7d.inc	Fri Aug  9 07:21:04 2019
+++ new/usr/src/pkg/manifests/system-kernel.man7d.inc	Fri Aug  9 07:21:04 2019
@@ -12,6 +12,7 @@
 #
 # Copyright 2011, Richard Lowe
 # Copyright 2016 Nexenta Systems, Inc.
+# Copyright 2019 Peter Tribble.
 #
 
 file path=usr/share/man/man7d/bscv.7d
@@ -44,7 +45,6 @@
 file path=usr/share/man/man7d/sysmsg.7d
 file path=usr/share/man/man7d/ticlts.7d
 file path=usr/share/man/man7d/tty.7d
-file path=usr/share/man/man7d/ttymux.7d
 file path=usr/share/man/man7d/tzmon.7d
 file path=usr/share/man/man7d/virtualkm.7d
 file path=usr/share/man/man7d/vni.7d
--- old/usr/src/pkg/manifests/system-kernel.mf	Fri Aug  9 07:21:04 2019
+++ new/usr/src/pkg/manifests/system-kernel.mf	Fri Aug  9 07:21:04 2019
@@ -25,6 +25,7 @@
 # Copyright 2015 Nexenta Systems, Inc. All rights reserved.
 # Copyright 2016 Hans Rosenfeld <rosenfeld@grumpf.hope-2000.org>
 # Copyright 2017 James S Blachly, MD <james.blachly@gmail.com>
+# Copyright 2019 Peter Tribble.
 #
 
 #
@@ -274,7 +275,6 @@
 driver name=tcp6 perms="tcp6 0666 root sys"
 driver name=tl perms="* 0666 root sys" clone_perms="ticlts 0666 root sys" \
     clone_perms="ticots 0666 root sys" clone_perms="ticotsord 0666 root sys"
-$(sparc_ONLY)driver name=ttymux alias=multiplexer
 $(i386_ONLY)driver name=tzmon
 $(sparc_ONLY)driver name=uata \
     alias=pci1095,646 \
@@ -399,7 +399,6 @@
 file path=kernel/drv/$(ARCH64)/tcp group=sys
 file path=kernel/drv/$(ARCH64)/tcp6 group=sys
 file path=kernel/drv/$(ARCH64)/tl group=sys
-$(sparc_ONLY)file path=kernel/drv/$(ARCH64)/ttymux group=sys
 $(i386_ONLY)file path=kernel/drv/$(ARCH64)/tzmon group=sys
 $(sparc_ONLY)file path=kernel/drv/$(ARCH64)/uata group=sys
 $(i386_ONLY)file path=kernel/drv/$(ARCH64)/ucode group=sys
